<?php
/*
Plugin Name: CashPress
Plugin URI: http://hateyourwebsite.com/CashPress
Description: Easily Manage Your Clients, Write Proposals and Send Invoices from Anywhere Using a Small Yet Powerful Set of Custom Post Types.
Version: v1.25
Author: Nolan Dempster
Author URI: http://www.hateyourwebsite.com
License: GPL2
*/

//add proposal custom post template

function get_proposal_post_type_template($single_template) {
     global $post;

     if ($post->post_type == 'proposals') {
          $single_template = dirname( __FILE__ ) . '/themefiles/single-proposals.php';
     }
     return $single_template;
}

add_filter( "single_template", "get_proposal_post_type_template" ) ;


//add invoice custom post template

function get_invoice_post_type_template($single_template) {
     global $post;

     if ($post->post_type == 'invoices') {
          $single_template = dirname( __FILE__ ) . '/themefiles/single-invoices.php';
     }
     return $single_template;
}

add_filter( "single_template", "get_invoice_post_type_template" ) ;


//create myaccount fake page to use template 
//error:my_account_post function generates 497 unexpected characters upon plugin activation and is in register activation hook
//comment it out to remove error after initial setup; doesn't seem to affect performance



function my_account_post() {

	$my_account_page_id = get_option('CSP_myAccount_page');
	$my_account_post = array();
	$my_account_post['post_title'] = 'myAccount';
	$my_account_post['post_content'] = 'This is a fake page used for the CashPress login page "myAccount.php". This content is not displayed on the page when the plugin is active, but DO NOT DELETE this content unless you know what you are doing.';
 	$my_account_post['post_status'] = 'publish';
	$my_account_post['post_author'] = '1';
	$my_account_post['post_type'] = 'page';
	$my_account_post = wp_insert_post($my_account_post);
	add_option('CSP_myAccount_page', $my_account_page_id);
}

register_activation_hook( __FILE__, 'my_account_post');

function CSP_uninstall() {
    // delete subscription page
    wp_delete_post( get_option('CSP_myAccount_page') );
    }

register_deactivation_hook( __FILE__, 'CSP_uninstall' );


//add myAccount custom post template WORKING

function get_myaccount_template($page_template) {
     global $post;

     if ($post->post_name == 'myaccount') {
          $page_template = dirname( __FILE__ ) . '/themefiles/myAccount.php';
     }
     return $page_template;
}

add_filter( "page_template", "get_myaccount_template" ) ;



//Add Stylesheet to Admin WORKING
function write_admin_CSS() {
wp_register_style( 'write_admin_CSS', plugins_url('admin_style.css', __FILE__) );

wp_enqueue_style("write_admin_CSS", WP_PLUGIN_DIR . '/cashpress/admin_style.css');
}
add_action('admin_init', 'write_admin_CSS');

//Add Text Filters to Admin WORKING

add_filter('gettext','custom_enter_title');

function custom_enter_title( $input ) {

    global $post_type;

    if( is_admin() && 'Enter title here' == $input && 'proposals' == $post_type )
        return 'Enter Project Address or Job Name';
    if( is_admin() && 'Enter title here' == $input && 'invoices' == $post_type )
        return 'Enter Project Address or Job Name';
    if( is_admin() && 'Enter title here' == $input && 'clients' == $post_type )
        return 'Username';
   

    return $input;
}

//Register Menus WORKING 

function csp_options() {
	add_menu_page('CashPress', 'CashPress', 'edit_themes', 'csp_plugin_settings.php', 'csp_plugin_settings');
	add_submenu_page('csp_plugin_settings.php', 'Settings', 'Settings', 'edit_themes', 'csp_plugin_settings.php', 'csp_plugin_settings');
	add_submenu_page('csp_plugin_settings.php', 'Company', 'Company', 'edit_themes', 'csp_company_info.php', 'csp_company_info');
	add_submenu_page('csp_plugin_settings.php', 'Form Options', 'Form Options', 'edit_themes', 'csp_form_options.php', 'csp_form_options');

}
add_action('admin_menu', 'csp_options');


// Get Page ID from name (used just below) WORKING 
function csp_get_page_id($page_name){
	global $wpdb;
	$page_name_id = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_name = '" . $page_name. "'");
	return $page_name_id;
}

function csp_content_filter($content){

$content = wptexturize($content);
$content = convert_chars($content);
$content = wpautop($content);
$content = shortcode_unautop($content);

return $content;
}

// Custom function to get post ID from Titles (used for client info) WORKING
function get_post_by_title($page_title, $output = OBJECT) {
    global $wpdb;
        $post = $wpdb->get_var( $wpdb->prepare( "SELECT ID FROM $wpdb->posts WHERE post_title = %s LIMIT 0, 1", $page_title ));
        if ( $post )
            return get_post($post, $output);
    return null;
}


// Small logout script WORKING 

if (isset($_GET['logout'] ) == 'true'){
$logout_message = '<br/><p>' . __("You have been successfully logged out.",'cashpress') . '</p>';
setcookie('csp_client', '', 1, '/');
setcookie('csp_pass', '', 1, '/');
$csp_pass = '';
$csp_client = '';
$_POST['clientnamep'] = '';
$_POST['clientpassp'] = '';
}


//Add all the rest of the required files WORKING

require_once('client_type.php');
require_once('proposal_type.php');
require_once('invoice_type.php');

require_once('csp_company_info.php');
require_once('default_values.php');
require_once('csp_plugin_settings.php');

require_once('send_function.php');
require_once('csp_form_options.php');



