<?php 
/**
* 
* CashPress
* Plugin settings and options admin menu
* 
* Last Update: Version 1.1
* 
**/

// Register new options/settings
add_action('admin_init', 'csp_plugin_settings_init' );

function csp_plugin_settings_init(){
	register_setting( 'csp_plugin_settings', 'csp_settings', 'csp_no_html');
}

function csp_no_html($input) {
	$input['csp_settings[pageheader]'] =  wp_filter_nohtml_kses($input['csp_settings[pageheader]']);	
	return $input; // return validated input
}

function csp_plugin_settings(){
?>
<div class="wrap">
	<div id="icon-themes" class="icon32"><br /></div>
	<h2><?php _e("General Settings",'cashpress'); ?></h2>
	
<form method="post" action="options.php">
			<?php settings_fields('csp_plugin_settings'); ?>
			<?php $options = get_option('csp_settings'); ?>
			<?php $cspcount = 1 ; ?>
						
			<h3><?php _e("Invoice Options",'cashpress'); ?></h3>
			<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row"><label for="csp_settings[usepaypal]" ><?php _e("Use Paypal Button?",'cashpress'); ?></label></th>
					<td><input type="radio" name="csp_settings[usepaypal]" group="csp_settings[usepaypal]" value="yes" <?php if ($options['usepaypal'] == 'yes') echo 'checked="checked"'; ?> /> <label><?php _e("Yes",'cashpress'); ?></label>  
						<input style="margin-left:25px;" type="radio" name="csp_settings[usepaypal]" group="csp_settings[usepaypal]" value="no" <?php if ($options['usepaypal'] == 'no') echo 'checked="checked"'; ?> /> <label><?php _e("No",'cashpress'); ?></label></td>
				</tr>
				<tr valign="top">
					<th scope="row"><label for="csp_settings[invoice_password]" ><?php _e("Password Protect Invoices?",'cashpress'); ?></label></th>
					<td><input type="radio" name="csp_settings[invoice_password]" group="csp_settings[invoice_password]" value="yes" <?php if ($options['invoice_password'] == 'yes') echo 'checked="checked"'; ?> /> <label><?php _e("Yes",'cashpress'); ?></label>  
						<input style="margin-left:25px;" type="radio" name="csp_settings[invoice_password]" group="csp_settings[invoice_password]" value="no" <?php if ($options['invoice_password'] == 'no') echo 'checked="checked"'; ?> /> <label><?php _e("No",'cashpress'); ?></label></td>
				</tr>
				<tr valign="top" >
				<th scope="row"><?php _e("Currency Type:",'cashpress'); ?></th>
				<td><label for="csp_settings[currencysymbol]" ><?php _e("Currency Symbol:",'cashpress'); ?> </label>
					<input type="text" class="textsmall" name="csp_settings[currencysymbol]" size="30" value="<?php echo $options['currencysymbol']?>" />
					<label class="second" for="csp_settings[currencycode]" ><?php _e("PayPal Currency Code:",'cashpress'); ?> </label>
					<input type="text" class="textsmall" name="csp_settings[currencycode]" size="30" value="<?php echo $options['currencycode']?>" />
					<p><small><a href="https://cms.paypal.com/us/cgi-bin/?cmd=_render-content&content_ID=developer/e_howto_api_nvp_currency_codes"><?php _e("Click here</a> to find a list of officially supported PayPal currencies and the corresponding codes.",'cashpress'); ?> </small></p>
				</td>
				</tr>
				<tr valign="top">
						<th><label for="csp_settings[invoiceterms]" ><?php _e("Default Invoice Terms",'cashpress'); ?></th>
					<td><textarea id="textarea" cols="57" rows="5"  name="csp_settings[invoiceterms]" ><?php echo $options['invoiceterms']?></textarea></td>
				</tr>
			</tbody>
			</table>
			<br/>
			
			
			<h3><?php _e("Proposal Options",'cashpress'); ?></h3>
			<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row"><label for="csp_settings[useapprove]" ><?php _e("Use Approve Button?",'cashpress'); ?></label></th>
					<td><input type="radio" name="csp_settings[useapprove]" group="csp_settings[useapprove]" value="yes" <?php if ($options['useapprove'] == 'yes') echo 'checked="checked"'; ?> /> <label><?php _e("Yes",'cashpress'); ?></label>  
						<input style="margin-left:25px;" type="radio" name="csp_settings[useapprove]" group="csp_settings[useapprove]" value="no" <?php if ($options['useapprove'] == 'no') echo 'checked="checked"'; ?> /> <label><?php _e("No",'cashpress'); ?></label></td>
				</tr>
				<tr valign="top">
					<th scope="row"><label for="csp_settings[proposal_password]" ><?php _e("Password Protect Proposals?",'cashpress'); ?></label></th>
					<td><input type="radio" name="csp_settings[proposal_password]" group="csp_settings[proposal_password]" value="yes" <?php if ($options['proposal_password'] == 'yes') echo 'checked="checked"'; ?> /> <label><?php _e("Yes",'cashpress'); ?></label>  
						<input style="margin-left:25px;" type="radio" name="csp_settings[proposal_password]" group="csp_settings[proposal_password]" value="no" <?php if ($options['proposal_password'] == 'no') echo 'checked="checked"'; ?> /> <label><?php _e("No",'cashpress'); ?></label></td>
				</tr>
				<tr valign="top">
					<th scope="row"><label for="csp_settings[allowcomments]" ><?php _e("Allow Proposal Comments?",'cashpress'); ?> <small class="note"><?php _e("(controls all proposals - you may disable a single proposal's comments in the Proposal editing screen)",'cashpress'); ?></small></label></th>
					<td><input type="radio" name="csp_settings[allowcomments]" group="csp_settings[allowcomments]" value="yes" <?php if ($options['allowcomments'] == 'yes') echo 'checked="checked"'; ?> /> <label><?php _e("Yes",'cashpress'); ?></label>  
						<input style="margin-left:25px;" type="radio" name="csp_settings[allowcomments]" group="csp_settings[allowcomments]" value="no" <?php if ($options['allowcomments'] == 'no') echo 'checked="checked"'; ?> /> <label><?php _e("No",'cashpress'); ?></label></td>
				</tr>
         		<tr valign="top">
         			<th><label for="csp_settings[proposalterms]" ><?php _e("Default Proposal Terms",'cashpress'); ?></th>
					<td><textarea id="textarea" cols="57" rows="5"  name="csp_settings[proposalterms]" ><?php echo $options['proposalterms']?></textarea></td>
				</tr>
			</tbody>
			</table>
			<br/>
			

<p><input type="submit" name="search" value="Update Options" class="button" /></p>
</form>

<?php
}
?>
